# Affiliates

***Affiliate information, includes basic account information, manager and relevant type.***

> ## Sub-resources <a href="#sub-resources" id="sub-resources"></a>
>
> [**Tags**](/api-documentation/networkapi/affiliates/sub-resources/tags.md) | [**Approve Offers**](/api-documentation/networkapi/affiliates/sub-resources/affiliatesdetail.md) | [**Block Offers**](/api-documentation/networkapi/affiliates/sub-resources/block-offers.md) | [**Affiliate Caps**](/api-documentation/networkapi/affiliates/sub-resources/affiliate_caps_md.md) | [**Affiliate Blocked**](/api-documentation/networkapi/affiliates/sub-resources/affiliate_blocked.md) | [**Payout Adjusting**](/api-documentation/networkapi/affiliates/sub-resources/payout_adjusting.md)

### Available methods <a href="#available-methods" id="available-methods"></a>

| Methods    | HTTP method | Endpoint                                                                                                                                                                                   | Description                                    |
| ---------- | ----------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ | ---------------------------------------------- |
| **Create** |             |                                                                                                                                                                                            |                                                |
|            | POST        | [/v1/affiliates](/api-documentation/networkapi/affiliates/create_a_new_affiliate.md)                                                                                                       | Create a new affiliate                         |
| **Update** |             |                                                                                                                                                                                            |                                                |
|            | PUT         | [/v1/affiliates/{affiliate\_id}](/api-documentation/networkapi/affiliates/update_the_settings_for_an_affiliate.md)                                                                         | Update the settings for an affiliate           |
| **Get**    |             |                                                                                                                                                                                            |                                                |
|            | GET         | [/v1/batches/affiliates](/api-documentation/networkapi/affiliates/get-affiliates.md)                                                                                                       | Get affiliates                                 |
|            | GET         | [/v1/affiliates/{affiliate\_id}](/api-documentation/networkapi/affiliates/get_information_about_a_specific_affiliate.md)                                                                   | Get information about a specific affiliate     |
|            | GET         | [/v1/affiliates/{affiliate\_id}/all](/api-documentation/networkapi/affiliates/get_all_information_about_a_specific_affiliate.md)                                                           | Get all information about a specific affiliate |
|            | GET         | [/v1/affiliates](/api-documentation/networkapi/affiliates/get_all_affiliates.md)                                                                                                           | Get all affiliates                             |
| **Edit**   |             |                                                                                                                                                                                            |                                                |
|            | PATCH       | [/v1/affiliates/{affiliate\_id}](https://github.com/offerslook/api-documentation/tree/743316ca8cbde7d7a46f9cda01764bb2bf6738a6/affiliates/change_the_settings_for_an_affiliates_status.md) | Change the settings for an affiliate ‘s status |
|            | PATCH       | [/v1/batches/affiliates/{affiliate\_ids}](/api-documentation/networkapi/affiliates/update-affiliates-the-status.md)                                                                        | Update affiliates the status                   |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://offerslook-api.gitbook.io/api-documentation/networkapi/affiliates.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
